local vm = require("lib.vornmath")

local components = {}

components.dict = {
  position = "position",
  scale = "scale",
  rotation = "rotation"
}

function components.position (c, x, y, z)
  c.data = vm.vec3(x or 0, y or 0, z or 0)
end

function components.scale (c, sx, sy, sz)
  c.data = vm.vec3(sx or 1, sy or 1, sz or 1)
end

function components.rotation (c, rx, ry, rz)
  c.data = vm.vec3(rx or 0, ry or 0, rz or 0)
end

return components
